<?php

	// POSTじゃない場合
	if( $_SERVER["REQUEST_METHOD"]!="POST" )
	{
		exit ;
	}

	// 初期値
	$wrapAround = (isset($_POST["wrapAround"]) && !empty($_POST["wrapAround"])) ? $_POST["wrapAround"] : "false";
	$freeScroll = (isset($_POST["freeScroll"]) && !empty($_POST["freeScroll"])) ? $_POST["freeScroll"] : "false";
	$autoPlay = (isset($_POST["autoPlay"]) && !empty($_POST["autoPlay"])) ? $_POST["autoPlay"] : "false";
	$initialIndex = (isset($_POST["initialIndex"]) && !empty($_POST["initialIndex"])) ? $_POST["initialIndex"] : 1;
	$accessibility = (isset($_POST["accessibility"]) && !empty($_POST["accessibility"])) ? $_POST["accessibility"] : "true";
	$resize = (isset($_POST["resize"]) && !empty($_POST["resize"])) ? $_POST["resize"] : "true";
	$cellAlign = (isset($_POST["cellAlign"]) && !empty($_POST["cellAlign"])) ? $_POST["cellAlign"] : "center";
	$contain = (isset($_POST["contain"]) && !empty($_POST["contain"])) ? $_POST["contain"] : "false";
	$imagesLoaded = (isset($_POST["imagesLoaded"]) && !empty($_POST["imagesLoaded"])) ? $_POST["imagesLoaded"] : "false";
	$rightToLeft = (isset($_POST["rightToLeft"]) && !empty($_POST["rightToLeft"])) ? $_POST["rightToLeft"] : "false";
	$draggable = (isset($_POST["draggable"]) && !empty($_POST["draggable"])) ? $_POST["draggable"] : "true";
	$prevNextButtons = (isset($_POST["prevNextButtons"]) && !empty($_POST["prevNextButtons"])) ? $_POST["prevNextButtons"] : "true";
	$pageDots = (isset($_POST["pageDots"]) && !empty($_POST["pageDots"])) ? $_POST["pageDots"] : "true";

	// SCRIPT
	$script = '
	// スライドコンテンツを代入する配列
	var flickitySyncer = [];

	// ページ内の[.my-gallery]のエレメントを取得する
	var elms = document.getElementsByClassName("my-gallery");

	// [elms]全てに、ループ処理でFlickityを適用する
	for( var i=0,l=elms.length; l>i; i++ ){

		// Flickityを起動する
		flickitySyncer[i] = new Flickity( elms[i] , {
			contain: true,
			wrapAround: ' . $wrapAround. ',
			freeScroll: ' . $freeScroll. ',
			initialIndex: ' . (int)($initialIndex-1). ',
			autoPlay: ' . $autoPlay. ',
			accessibility: ' . $accessibility. ',
			resize: ' . $resize. ',
			cellAlign: "' . $cellAlign. '",
			contain: ' . $contain. ',
			imagesLoaded: ' . $imagesLoaded. ',
			rightToLeft: ' . $rightToLeft. ',
			draggable: ' . $draggable. ',
			prevNextButtons: ' . $prevNextButtons. ',
			pageDots: ' . $pageDots. ',
		} );
	
	}
' ;


	// HTML
	$html = '
<h2>画像ギャラリー</h2>
<!-- 画像ギャラリー [ここから] -->
<div class="my-gallery">
	<img src="./photo-01.jpg" class="sample-img"/>
	<img src="./photo-02.jpg" class="sample-img"/>
	<img src="./photo-03.jpg" class="sample-img"/>
	<img src="./photo-04.jpg" class="sample-img"/>
	<img src="./photo-05.jpg" class="sample-img"/>
	<img src="./photo-06.jpg" class="sample-img"/>
	<img src="./photo-07.jpg" class="sample-img"/>
	<img src="./photo-08.jpg" class="sample-img"/>
	<img src="./photo-09.jpg" class="sample-img"/>
	<img src="./photo-10.jpg" class="sample-img"/>
	<img src="./photo-11.jpg" class="sample-img"/>
	<img src="./photo-12.jpg" class="sample-img"/>
</div>
<!-- 画像ギャラリー [ここまで] -->

<h2>HTMLギャラリー</h2>
<!-- HTMLギャラリー [ここから] -->
<div class="my-gallery">
	<div class="sample-cell"><img src="./photo-01.jpg" class="sample-img"/><br/>ラーメン画像1</div>
	<div class="sample-cell"><img src="./photo-02.jpg" class="sample-img"/><br/>ラーメン画像2</div>
	<div class="sample-cell"><img src="./photo-03.jpg" class="sample-img"/><br/>ラーメン画像3</div>
	<div class="sample-cell"><img src="./photo-04.jpg" class="sample-img"/><br/>ラーメン画像4</div>
	<div class="sample-cell"><img src="./photo-05.jpg" class="sample-img"/><br/>ラーメン画像5</div>
	<div class="sample-cell"><img src="./photo-06.jpg" class="sample-img"/><br/>ラーメン画像6</div>
	<div class="sample-cell"><img src="./photo-07.jpg" class="sample-img"/><br/>ラーメン画像7</div>
	<div class="sample-cell"><img src="./photo-08.jpg" class="sample-img"/><br/>ラーメン画像8</div>
	<div class="sample-cell"><img src="./photo-09.jpg" class="sample-img"/><br/>ラーメン画像9</div>
	<div class="sample-cell"><img src="./photo-10.jpg" class="sample-img"/><br/>ラーメン画像10</div>
</div>
<!-- HTMLギャラリー [ここまで] -->
' ;

?><!DOCTYPE html>
<html>
	<head>
		<meta charset="UTF-8">
		<meta name="robots" content="noindex,nofollow">

		<!-- ビューポートの設定 -->
		<meta name="viewport" content="width=device-width, initial-scale=1.0">

		<!-- スタイルシートの読み込み -->
		<link href="flickity.css" rel="stylesheet">
		<link href="flickity-demo.css" rel="stylesheet">

		<title>Flickityのコンソール</title><!-- 

/********************************************************************************

	SYNCER 〜 知識、感動をみんなと同期(Sync)するブログ

	* 配布場所
	https://syncer.jp/how-to-use-flickity

	* 動作確認
	https://syncer.jp/how-to-use-flickity/demo/script.php

	* 最終更新日時
	2015/08/17 13:54

	* 作者
	あらゆ

	** 連絡先
	Twitter: https://twitter.com/arayutw
	Facebook: https://www.facebook.com/arayutw
	Google+: https://plus.google.com/114918692417332410369/
	E-mail: info@syncer.jp

	※ バグ、不具合の報告、提案、ご要望など、お待ちしております。
	※ 申し訳ありませんが、ご利用者様、個々の環境における問題はサポートしていません。

********************************************************************************/

		-->
	</head>
<body>



<?php echo $html ?>


<p style="text-align:center"><a href="https://syncer.jp/how-to-use-flickity">配布元: Syncer</a></p>




<!-- JavaScriptの読み込み -->
<script src="flickity.pkgd.js"></script>
<script><?php echo $script ?></script>




</body>
</html>
